Page Summary
-
This page details how to get a custom bidding algorithm using a GET HTTP request.
-
The request requires a custom bidding algorithm ID as a path parameter and an accessor parameter (either partner ID or advertiser ID) as a query parameter.
-
The request body must be empty.
-
A successful response returns an instance of a CustomBiddingAlgorithm.
-
The request requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Gets a custom bidding algorithm.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/customBiddingAlgorithms/{customBiddingAlgorithmId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customBiddingAlgorithmId |
Required. The ID of the custom bidding algorithm to fetch. |
Query parameters
| Parameters | |
|---|---|
Union parameter accessor. Required. Identifies which DV360 entity the request is being made within. The Get request will only return a custom bidding algortihm entity that is accessible to the DV360 entity identified within the accessor. accessor can be only one of the following: |
|
partnerId |
The ID of the DV360 partner that has access to the custom bidding algorithm. |
advertiserId |
The ID of the DV360 partner that has access to the custom bidding algorithm. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of CustomBiddingAlgorithm.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.